namespace Anue {
  interface ValidEndpoints {
    v2: {
      user: {
        profile: () => string;
      };
    };
    v1: {
      user: {
        profile: {
          password: {
            (): string;
            recovery: () => string;
            reset: () => string;
          };
        };
        email: {
          renew: () => string;
          resend: () => string;
        };
        cognitoOpenIdOrRegister: () => string;
        tos: {
          (): string;
          all: () => string;
          user: () => string;
        };
        registration: {
          email: {
            (): string;
            verify: () => string;
          };
        };
      };
    };
  }
}
