import getty from '@utils/getty';
import AbstractServerBridge from '@libraries/Bridge/Server.abstract';

export default class ServerBridge extends AbstractServerBridge {
  start = async (): Promise<boolean> => {
    this.mWindow = getty<Window>(this, ['mConfig', 'target']);

    if (!this.mWindow || typeof window === 'undefined') {
      return await false;
    }
    window.addEventListener('message', this.listen);
    return await true;
  };
}
